ECS Subscription
GET/api/v1/ecs/{index}/subscribe
Authorization
bearer_token In: header
Path Parameters
ECS index/namespace
Query Parameters
JWT token (alternative to Authorization header)
Response Body
curl -X GET "https://example.com/api/v1/ecs/string/subscribe"GET/api/v1/ecs/{index}/subscriptions
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/ecs/string/subscriptions"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "subscriptions": [ { "entity_id": "string", "type": "entity", "created_at": "2019-08-24T14:15:22Z", "subscription_id": "string" } ]}POST/api/v1/ecs/{index}/subscriptions
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
What to subscribe to
Subscribe to changes for a specific entity
Response Body
application/json
curl -X POST "https://example.com/api/v1/ecs/string/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "entity_id": "string", "type": "entity" }'{ "subscription": { "entity_id": "string", "type": "entity", "created_at": "2019-08-24T14:15:22Z", "subscription_id": "string" }}GET/api/v1/ecs/{index}/subscriptions/{subscription_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/ecs/string/subscriptions/string"{ "entity_id": "string", "type": "entity", "created_at": "2019-08-24T14:15:22Z", "subscription_id": "string"}DELETE/api/v1/ecs/{index}/subscriptions/{subscription_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
curl -X DELETE "https://example.com/api/v1/ecs/string/subscriptions/string"